Page MenuHomePhabricator

[clang][cli] Port Frontend option flags to new option parsing system
ClosedPublic

Authored by jansvoboda11 on Jul 13 2020, 10:14 AM.

Diff Detail

Event Timeline

dang created this revision.Jul 13 2020, 10:14 AM
Herald added a project: Restricted Project. · View Herald TranscriptJul 13 2020, 10:14 AM
dang updated this revision to Diff 278167.Jul 15 2020, 6:42 AM

Make sure that ast_dump_* are correctly labelled as belonging to Action_Group.

jansvoboda11 commandeered this revision.Nov 20 2020, 6:02 AM
jansvoboda11 added a reviewer: dang.
jansvoboda11 added a reviewer: dexonsmith.
jansvoboda11 added a subscriber: jansvoboda11.

Taking over this patch as Daniel is no longer involved.

Rebase, undo move of options, implement IsNegative.

Herald added a project: Restricted Project. · View Herald Transcript
jansvoboda11 retitled this revision from Port Frontend option flags to new option parsing system to [clang][cli] Port Frontend option flags to new option parsing system.Nov 20 2020, 6:06 AM
dexonsmith requested changes to this revision.Nov 20 2020, 1:50 PM

This is close, just a few nits. Also, since this has the first uses of IsNegative, it'd be great to have a couple of tests for one of the flags it's used on.

clang/lib/Frontend/CompilerInvocation.cpp
135

Nit: clang/Basic/LLVM.h pulls Optional in namespace clang so you don't need the llvm:: qualifier.

136–137

Please drop parameter names for TableIndex and Diags.

This revision now requires changes to proceed.Nov 20 2020, 1:50 PM

Drop namespace specifier & names of unused args, add tests

dexonsmith accepted this revision.Nov 30 2020, 1:02 PM

LGTM! Thanks.

This revision is now accepted and ready to land.Nov 30 2020, 1:02 PM
This revision was landed with ongoing or failed builds.Dec 1 2020, 1:11 AM
This revision was automatically updated to reflect the committed changes.